Enumerar elementos secundarios de la carpeta

List the children (files, folders, and version stacks) in a given folder. <br/>Use the `include` query parameter to selectively include additional properties in the response. <br/>Note: if you include `media_links.original` and the user does not have permission to download files in the corresponding project, then this endpoint will respond with a `403 Forbidden` error. If the content is inaccessible because watermarking is required for this user and isn't supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including `media_links.video_h264_180` on a static image file) or transoding process hasn't finished (i.e. the file's `status` is "uploaded" rather than "transcoded"), then the a media link will also be set to null in the response payload. In short, the client must handle null media links gracefully. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user

Autenticación

AuthorizationBearer

Autenticación de portador de la forma Bearer <token>, donde token es tu token de autenticación.

Parámetros de ruta

account_idstringRequerido
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
folder_idstringRequerido
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

Encabezados

api-versionenumRequerido
Valores permitidos:

Parámetros de consulta

includeenumOpcional
Supported include query parameter values for endpoints that return files with media links
sortenumOpcional
Sort folder children by query params
typestringOpcional
Type filter for folder children
afterstringOpcional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOpcional1-500Valor predeterminado: 50
Page size query param for asset list requests
include_total_countbooleanOpcionalValor predeterminado: false
Page query param to include the count of all entities

Encabezados de respuesta

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Respuesta

OK
datalist of objects
Assets
total_countinteger or nullOpcional
Total count

Errores

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error